CREATE TABLE cmk_config_import_partners (
    IMPORT_PARTNER_ID          NUMBER(18, 0) ,
    USER_DEFINED               VARCHAR2(4)   ,
    IMPORT_BATCH_ID            VARCHAR2(1024),
    IMPORT_PARTNER_LINE_NUM    VARCHAR2(1024),
    IMPORT_TYPE                VARCHAR2(400) ,
    PARTNER_ID                 VARCHAR2(400) ,
    ID_TYPE                    VARCHAR2(400) ,
    OSN_PARTNER_ID             VARCHAR2(1024),
    OSN_PARTNER_ID_TYPE        VARCHAR2(1024),
    SERVICE_PROVIDER_NAME      VARCHAR2(1024),
    PROCESSED_STATUS           VARCHAR2(400) ,
    EXT_PARTNER_STATUS         VARCHAR2(400) ,
    EXT_PARTNER_FAIL_REASON    VARCHAR2(4000),
    PARTNER_KEY_TYPE           VARCHAR2(400) ,
    PARTNER_KEY1               VARCHAR2(1024),
    PARTNER_KEY2               VARCHAR2(1024),
    PARTNER_KEY3               VARCHAR2(2048),
    PARTNER_KEY4               VARCHAR2(2048),
    PARTNER_KEY5               VARCHAR2(2048),
    PARTNER_KEY6               VARCHAR2(1024),
    APP_PARTNER_STATUS         VARCHAR2(400) ,
    APP_PARTNER_FAIL_REASON    VARCHAR2(4000),
    APPL_PARTNER_ID            NUMBER(18, 0) ,
    EXTERNAL_PARTNER_ID        NUMBER(18, 0) ,
    IMPORT_DATETIME            TIMESTAMP(6)  ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    IMPORT_PARTNER_ID          NUMBER(18, 0) ,
    IMPORT_BATCH_ID            VARCHAR2(1024),
    IMPORT_PARTNER_LINE_NUM    VARCHAR2(1024),
    IMPORT_TYPE                VARCHAR2(400) ,
    PARTNER_ID                 VARCHAR2(400) ,
    ID_TYPE                    VARCHAR2(400) ,
    OSN_PARTNER_ID             VARCHAR2(1024),
    OSN_PARTNER_ID_TYPE        VARCHAR2(1024),
    SERVICE_PROVIDER_NAME      VARCHAR2(1024),
    PROCESSED_STATUS           VARCHAR2(400) ,
    EXT_PARTNER_STATUS         VARCHAR2(400) ,
    EXT_PARTNER_FAIL_REASON    VARCHAR2(4000),
    PARTNER_KEY_TYPE           VARCHAR2(400) ,
    PARTNER_KEY1               VARCHAR2(1024),
    PARTNER_KEY2               VARCHAR2(1024),
    PARTNER_KEY3               VARCHAR2(2048),
    PARTNER_KEY4               VARCHAR2(2048),
    PARTNER_KEY5               VARCHAR2(2048),
    PARTNER_KEY6               VARCHAR2(1024),
    APP_PARTNER_STATUS         VARCHAR2(400) ,
    APP_PARTNER_FAIL_REASON    VARCHAR2(4000),
    APPL_PARTNER_ID            NUMBER(18, 0) ,
    EXTERNAL_PARTNER_ID        NUMBER(18, 0) ,
    IMPORT_DATETIME            TIMESTAMP(6)  ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    USER_DEFINED               VARCHAR2(4)   ,
    CONSTRAINT pk_cmk_config_import_partners PRIMARY KEY (IMPORT_PARTNER_ID, IMPORT_PARTNER_ID)
);
